Create a brand
curl --request POST \
--url https://api.social-api.ai/v1/brands \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation'})
};
fetch('https://api.social-api.ai/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/brands"
payload = { "name": "Acme Corporation" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"accounts_count": 0,
"created_at": "2026-03-14T09:00:00Z",
"id": "b_01HZ9X3Q4R5M6N7P8V2K0W1J",
"name": "Acme Corporation",
"updated_at": "2026-03-14T09:00:00Z"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Brands
Create a brand
Creates a new brand for grouping connected social accounts. Each brand can have one account per platform.
POST
/
brands
Create a brand
curl --request POST \
--url https://api.social-api.ai/v1/brands \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation'})
};
fetch('https://api.social-api.ai/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/brands"
payload = { "name": "Acme Corporation" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"accounts_count": 0,
"created_at": "2026-03-14T09:00:00Z",
"id": "b_01HZ9X3Q4R5M6N7P8V2K0W1J",
"name": "Acme Corporation",
"updated_at": "2026-03-14T09:00:00Z"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Body
application/json
Brand name
Example:
"Acme Corporation"